"use strict";

const SourceConnector = require("./lib/source/SourceConnector.js");
const SinkConnector = require("./lib/sink/SinkConnector.js");

const SourceTask = require("./lib/source/SourceTask.js");
const SinkTask = require("./lib/sink/SinkTask.js");

const Converter = require("./lib/common/Converter.js");

const SourceConfig = require("./lib/source/SourceConfig.js");
const SinkConfig = require("./lib/sink/SinkConfig.js");

const SourceRecord = require("./lib/source/SourceRecord.js");
const SinkRecord = require("./lib/sink/SinkRecord.js");

const ConverterFactory = require("./lib/utils/ConverterFactory.js");
const JsonConverter = require("./lib/utils/JsonConverter.js");

module.exports = {
    SourceConnector,
    SinkConnector,
    SourceTask,
    SinkTask,
    Converter,
    SourceConfig,
    SinkConfig,
    SourceRecord,
    SinkRecord,
    ConverterFactory,
    JsonConverter
};